{% extends 'base.html.twig' %}

{% block title %}My cart{% endblock %}

{% block content %}
<h1 class="text-center" style="margin-top: 50px">My shopping cart:</h1>
<div style="margin: 30px 200px">
{% for row in productLine %}
    <div id="productLine" class="img_product_cart" style="background-image: url({{imageURI}}/{{row.product.image}})">
    <div class="font_cart_product">
    <p class="cart_product">{{row.product.name}}</p>
    <p class="cart_product">Quantity: {{row.quantity}}</p>
    <p class="cart_product">Price: {{row.price}}</p>
    </div>
    <div class="d-flex">
        <a class="btn btn-danger ml-auto mt-auto bold" style="margin: 0 20px 20px 0" href="{{ path("remove_productLine", {"id": row.id}) }}">Remove product</a>
    </div>
    </div>
{% endfor %}

{% if verifCart %}
<div class="d-flex flex-column" style="margin: 45px 0 25px 0">
    <p class="ml-auto totalprice_cart">total: {{totalPrice}}</p>
    <div class="d-flex">
    <form method="POST" action="{{path("shopping_cart") }}" class="ml-auto">
        <button type="submit" class="btn btn-success bold">Save cart</button>
    </form>
    <a class="btn btn-success bold" href="{{ path("order_adress") }}" style="margin: 0 20px 0 25px">Order</a>
    </div>
</div>
{% endif %}
</div>
{% endblock %}
